import request from '@/utils/request'

// 查询不良供应商-军队采购处罚列表
export function listPunishment(query) {
    return request({
        url: '/crmUnqualifiedSuppliersPunishment/findByPage',
        method: 'get',
        params: query
    })
}

// 查询不良供应商-军队采购处罚详细
export function getPunishment(id) {
    return request({
        url: '/crmUnqualifiedSuppliersPunishment/' + id,
        method: 'get'
    })
}

// 新增不良供应商-军队采购处罚
export function addPunishment(data) {
    return request({
        url: '/crmUnqualifiedSuppliersPunishment',
        method: 'post',
        data: data
    })
}

// 修改不良供应商-军队采购处罚
export function updatePunishment(data) {
    return request({
        url: '/crmUnqualifiedSuppliersPunishment',
        method: 'put',
        data: data
    })
}

// 删除不良供应商-军队采购处罚
export function delPunishment(id) {
    return request({
        url: '/crmUnqualifiedSuppliersPunishment/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPunishmentBatch(ids) {
    console.log(ids);
    return request.post('/crmUnqualifiedSuppliersPunishment/delete',ids)
}